Skip to main content
PUT
Update a plan by Code

Authorizations

Authorization
string
header
required

Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.

Path Parameters

plan_code
string
required

The code of the plan

Body

application/json
name
string
code
string
billing_cycle
enum<string>

The billing cycle indicating how often the subscription is charged

Available options:
WEEKLY,
MONTHLY,
QUARTERLY,
YEARLY
Example:

"MONTHLY"

description
string
amount
object
trial_period
integer
pay_in_advance
boolean
tax_codes
string[]

List of unique codes used to identify taxes to be applied.

Example:
minimum_commitment
object

Minimum commitment for this plan.

cascading_updates
boolean

Determines if changes made to the parent plan should be cascaded to the overridden plans in subscription

Example:

true

usage_based_charges
object[]

Response

A plan object

id
string

Unique identifier of the plan. This ID is used internally to track the plan and cannot be modified.

Example:

"1a901a90-1a90-1a90-1a540-1a901a901a90"

name
string
code
string
billing_cycle
enum<string>

The billing cycle indicating how often the subscription is charged

Available options:
WEEKLY,
MONTHLY,
QUARTERLY,
YEARLY
Example:

"MONTHLY"

description
string
amount
object
trial_period
integer
pay_in_advance
boolean
taxes
object[]

List of tax entities configured for the plan.

usage_based_charges
object[]
minimum_commitment
object

Minimum commitment for this plan.

created_at
string<date-time>

Date and time in ISO 8601 format.

Example:

"2023-10-01T12:00:00Z"

cascading_updates
boolean

Determines if changes made to the parent plan should be cascaded to the children plans

Example:

true

updated_at
string<date-time>

Date and time in ISO 8601 format.

Example:

"2023-10-01T12:00:00Z"